rm(list=ls())
library(compute.es)
library(dplyr)
library(ggplot2)
library(gapminder)
library(colorspace)
library(mgcv)
library(lme4)
library(lmerTest)
library(ggplot2)
library(dplyr)
library( geosphere )
library( stringr)
setwd("C:/Users/Ragenaky/Desktop/Thesis chapter 3/Data/Master Sheets")

MST_IC_ASD_IMP_WD<-read.csv("MST_IC_ASD_IMP_WD.CSV")

##Make subsets for each weed as per below

SSCUSC <- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "Cuscuta chinensis" ),]

SSOCREN <- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "O. crenata" ),]

SSOFOET<- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "O. foetida" ),]

SSOAEG<- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "O. aegyptiaca" ),]

SSPAEG<- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "Phelipanche aegyptiaca" ),]

SSSASIA<- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "S. asiatica" ),]

SSSHERM<- MST_IC_ASD_IMP_WD[which(MST_IC_ASD_IMP_WD$W_SP == "S. hermonthica" ),]



ES_SSCUSC<-mes(Control_Mean, Treat_Mean, Control_SD, Treat_SD, Control_SS, Treat_SS,
    level = 95, cer = 0.2, dig = 2, verbose = FALSE, id=Study_ID, data=DSCUSC)

print(ES_DSCUSC)

ES_SSOCREN<-mes(Control_Mean, Treat_Mean, Control_SD, Treat_SD, Control_SS, Treat_SS,
               level = 95, cer = 0.2, dig = 2, verbose = FALSE, id=Study_ID, data=SSOCREN)

print(ES_SSOCREN)

###All works but still unsure as to how to use these subsets to graph effect sizes by weed species

#Calculate a standard error
stderr <- function(x, ...) sd(x, na.rm = TRUE) / sqrt(length(is.na(x == FALSE)) )

model1 <- lm( HEDGES ~   W_SP-1, data = MST_IC_ASD_IMP_WD )
coeffs <- data.frame( summary(model1)$coefficients )


#NEED TO WORK ON THIS


# Plot for Weed Species
fig2b <- ggplot(coeffs, aes(x = reorder( names, Estimate), y = Estimate) ) +
  geom_point(size = 1) + 
  geom_errorbar(aes( ymin = Estimate - Std..Error, ymax =Estimate + Std..Error ), width = 0.5, size = 0.25 ) +
  theme_bw() + theme(axis.text.x = element_text(angle = 45))+
  theme( panel.border = element_blank(), 
         panel.grid.major = element_blank(),
         panel.grid.minor = element_blank(), 
         axis.line = element_line(colour = 'black', size = 0.25),
         axis.ticks = element_line(colour = "black", size = 0.25),
         axis.ticks.length=unit(-0.25, "cm"), 
         axis.text.x = element_text(margin=unit(c(0.5,0.5,0.5,0.5), "cm"), size = 8), 
         axis.text.y = element_text(margin=unit(c(0.5,0.5,0.5,0.5), "cm"), size = 10),
         legend.position="none",
         axis.title.x=element_text( size = 12 ),
         axis.title.y=element_text( size = 12 ) ) +
  labs( x = "Previous crop", y = "Log Striga density") + 
  theme(axis.text.x = element_text(angle = 50, vjust = .7, hjust=.85))

fig2b 
